/*
 *  file      : lib_b2im/lib.h
 *  project   : b2im
 *  copyright : (C) 2015 by BULIN Claude
 * 
 *  This file is part of b2im project
 * 
 *  b2im is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; version 3.
 * 
 *  b2im is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */


#ifndef __libH_h__
#define __libH_h__ 1


#include <gtk/gtk.h>


// ---------------------------------------------------------------------------
//  XDG.C
// ---------------------------------------------------------------------------
void		xdg_print_list_config_path( void );
void		xdg_print_list_data_path( void );
gchar		*xdg_search_config_xdg( void );
gchar		*xdg_search_data_xdg( gchar *NameFile );

// ---------------------------------------------------------------------------
//  LIB.C
// ---------------------------------------------------------------------------
void	libH_print_mess( char *p_mess );
size_t libutils_get_size_file( gchar *PathName );
void libutils_set_default_icone_to_win( GtkWidget *win );
gint libutils_hexa_to_int( gchar *Ptr_Hexa );
gboolean FileIs_image( gchar *PathNameFile );
void libutils_copy_file_to( gchar *p_old_pathname, gboolean p_unlink_old_file, gchar *p_new_pathname );
gboolean libutils_str_is_empty( gchar *p_str );
gboolean libutils_remove_rep( gchar *path_tmprep );
gboolean libutils_access_web( void );
gchar **libutils_get_textview( GtkWidget *p_widget );
void libutils_set_text_to_textview( GtkWidget *p_adr_textview, gchar *p_text );

#endif

